' Fig. 6.16: ContinueTest.vb
' Using the Continue statement in repetition statements.
Module ContinueTest
   Sub Main()
      Dim counter As Integer ' loop counter

      ' skipping an iteration of a For...Next statement
      For counter = 1 To 10
         If counter = 5 Then
            Continue For ' skip to next iteration of loop if counter = 5
         End If

         Console.Write(counter & " ") ' output counter
      Next

      Console.WriteLine(vbCrLf & _
         "Skipped printing in For...Next at counter = 5" & vbCrLf)
      counter = 0 ' reset counter

      ' skipping an iteration of a Do Until...Loop statement
      Do Until counter >= 10
         counter += 1 ' increment counter

         If counter = 5 Then
            Continue Do ' skip to next iteration of loop if counter = 5
         End If

         Console.Write(counter & " ") ' output counter
      Loop

      Console.WriteLine(vbCrLf & _
         "Skipped printing in Do Until...Loop at counter = 5" & vbCrLf)
      counter = 0 ' reset counter

      ' skipping an iteration of a While statement
      While counter < 10
         counter += 1 ' increment counter

         If counter = 5 Then
            Continue While ' skip to next iteration of loop if counter = 5
         End If

         Console.Write(counter & " ") ' output counter
      End While

      Console.WriteLine( _
         vbCrLf & "Skipped printing in While at counter = 5")
   End Sub ' Main
End Module ' ContinueTest


' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************