﻿' Fig. 7.15: RollDice.vb
' Rolling four dice.
Imports System.IO

Public Class FrmRollDice
   ' declare Random object reference
   Dim randomObject As New Random()

   ' display results of four rolls
   Private Sub btnRoll_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnRoll.Click
      ' method randomly assigns a face to each die
      DisplayDie(picDie1)
      DisplayDie(picDie2)
      DisplayDie(picDie3)
      DisplayDie(picDie4)
   End Sub ' cmdRoll_Click

   ' get a random die image
   Sub DisplayDie(ByVal picDie As PictureBox)
      ' generate random integer in range 1 to 6
      Dim face As Integer = randomObject.Next(1, 7)

      ' load corresponding image
      picDie.Image = Image.FromFile( _
         Directory.GetCurrentDirectory & "\Images\die" & face & ".png")
   End Sub ' DisplayDie
End Class ' FrmRollDice

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************