' Fig. 9.11: SharedTest.vb
' Demonstrates Shared members.
Module SharedTest
   Sub Main()
      Console.WriteLine("Employees before instantiation: " & _
         Employee.Count) ' Count is a Shared property

      Dim employee1 As New Employee("Susan", "Baker") ' call constructor
      Dim employee2 As New Employee("Bob", "Blue") ' call constructor

      ' output number of employees after instantiation 
      ' (use Shared property)
      Console.WriteLine(vbCrLf & "Employees after instantiation " & _
         "(via Employee.Count): " & Employee.Count)

      ' display names of first and second employees (using properties)
      Console.WriteLine(vbCrLf & "Display names of employees " & _
         "(using properties)" & vbCrLf & "Employee 1: " & _
         employee1.FirstName & " " & employee1.LastName & vbCrLf & _
         "Employee 2: " & employee2.FirstName & " " & _
         employee2.LastName & vbCrLf)

      Console.WriteLine("Marking employees for garbage collection")
      employee1 = Nothing ' mark employee1 for garbage collection
      employee2 = Nothing ' mark employee2 for garbage collection

      Console.WriteLine()
      Console.WriteLine("Explicitly invoking the garbage collector")
      System.GC.Collect() ' request garbage collection           
   End Sub ' Main
End Module ' SharedTest

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************