﻿' Fig. 10.7: BasePlusCommissionEmployeeTest.vb
' Testing class BasePlusCommissionEmployee.
Module BasePlusCommissionEmployeeTest
   Sub Main()
      ' instantite BasePlusCommissionEmployee object
      Dim employee As New BasePlusCommissionEmployee( _
         "Bob", "Lewis", "333-33-3333", 5000, 0.04D, 300)

      ' get base-salaried commission employee data
      Console.WriteLine("Employee information obtained by properties:" _
         & vbCrLf & "First name is " & employee.FirstName & vbCrLf & _
         "Last name is " & employee.LastName & vbCrLf & _
         "Social Security Number is " & employee.SocialSecurityNumber)
      Console.WriteLine("Gross sales is {0:C}", employee.GrossSales)
      Console.WriteLine("Commission rate is {0:F}", _
         employee.CommissionRate)
      Console.WriteLine("Base salary is {0:C}", employee.BaseSalary)

      employee.BaseSalary = 1000 ' set base salary

      ' get new employee information
      Console.WriteLine(vbCrLf & _
         "Updated employee information obtained by ToString: " & _
         vbCrLf & employee.ToString() & vbCrLf)

      ' display the employee's earnings
      Console.WriteLine("Employee's earnings: $" & _
         employee.CalculateEarnings())
   End Sub ' Main
End Module ' BasePlusCommissionEmployeeTest

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************