' Fig. 20.50: FrmXMLWriter.vb
' Demonstrates generating XML from an ADO.NET DataSet.
Public Class FrmXMLWriter
   ' Click event handler for the Save Button in the 
   ' BindingNavigator saves the changes made to the data
   Private Sub PlayersBindingNavigatorSaveItem_Click( _
      ByVal sender As System.Object, ByVal e As System.EventArgs) _
      Handles PlayersBindingNavigatorSaveItem.Click

      Me.Validate()
      Me.PlayersBindingSource.EndEdit()
      Me.PlayersTableAdapter.Update(Me.BaseballDataSet.Players)
   End Sub ' PlayersBindingNavigatorSaveItem_Click

   ' loads data into the BaseballDataSet.Players table
   Private Sub FrmXMLWriter_Load(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles MyBase.Load
      ' TODO: This line of code loads data into the 
      ' 'BaseballDataSet.Players' table. You can move, or remove it,
      ' as needed.
      Me.PlayersTableAdapter.Fill(Me.BaseballDataSet.Players)
   End Sub ' FrmXMLWriter_Load

   ' write XML representation of DataSet when Button clicked
   Private Sub btnWrite_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnWrite.Click
      ' set the namespace for this DataSet
      ' and the resulting XML document
      BaseballDataSet.Namespace = "http://www.deitel.com/baseball"

      ' write XML representation of DataSet to a file
      BaseballDataSet.WriteXml("Players.xml")

      ' display XML representation in TextBox
      txtOutput.Text = "Writing the following XML:" & vbCrLf & _
         BaseballDataSet.GetXml() + vbCrLf
   End Sub ' btnWrite_Click
End Class ' FrmXMLWriter

'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************
