' Fig. 24.5: ListTest.vb
' Testing class List.
Imports LinkedListLibrary

' class to test List class functionality
Module LinkTest
   Sub Main()
      Dim list As New List() ' create List container

      ' create data to store in List
      Dim aBoolean As Boolean = True
      Dim aCharacter As Char = "$"c
      Dim anInteger As Integer = 34567
      Dim aString As String = "hello"

      ' use List insert methods
      list.InsertAtFront(aBoolean)
      list.Print()
      list.InsertAtFront(aCharacter)
      list.Print()
      list.InsertAtBack(anInteger)
      list.Print()
      list.InsertAtBack(aString)
      list.Print()

      ' use List remove methods
      Dim removedObject As Object

      ' remove data from list and print after each removal
      Try
         removedObject = list.RemoveFromFront()
         Console.WriteLine(removedObject & " removed")
         list.Print()

         removedObject = list.RemoveFromFront()
         Console.WriteLine(removedObject & " removed")
         list.Print()

         removedObject = list.RemoveFromBack()
         Console.WriteLine(removedObject & " removed")
         list.Print()

         removedObject = list.RemoveFromBack()
         Console.WriteLine(removedObject & " removed")
         list.Print()
      Catch exception As EmptyListException
         Console.Error.WriteLine( _
            vbCrLf & exception.ToString())
      End Try
   End Sub ' Main
End Module ' LinkTest

'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************