' Fig. 6.15: ExitTest.vb
' Using the Exit statement in repetition statements.
Module ExitTest
   Sub Main()
      Dim counter As Integer ' loop counter

      ' exit For...Next statement
      For counter = 1 To 10
         ' skip remaining code in loop only if counter = 5
         If counter = 5 Then
            Exit For ' break out of loop
         End If

         Console.Write(counter & " ") ' output counter
      Next

      Console.WriteLine(vbCrLf & _
         "Broke out of For...Next at counter = " & counter & vbCrLf)
      counter = 1 ' reset counter

      ' exit Do Until...Loop statement
      Do Until counter > 10
         ' skip remaining code in loop only if counter = 5
         If counter = 5 Then
            Exit Do ' break out of loop
         End If

         Console.Write(counter & " ") ' output counter
         counter += 1 ' increment counter
      Loop

      Console.WriteLine(vbCrLf & _
         "Broke out of Do Until...Loop at counter = " & counter & vbCrLf)
      counter = 1 ' reset counter

      ' exit While statement
      While counter <= 10
         ' skip remaining code in loop only if counter = 5
         If counter = 5 Then
            Exit While ' break out of loop
         End If

         Console.Write(counter & " ") ' output counter
         counter += 1 ' increment counter
      End While

      Console.WriteLine( _
         vbCrLf & "Broke out of While at counter = " & counter)
   End Sub ' Main
End Module ' ExitTest

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************