﻿' Fig 7.21: Power.vb
' Calculates the power of a value, demonstrates optional parameters.
Public Class FrmPower
   ' reads input and displays result
   Private Sub btnCalculate_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnCalculate.Click

      Dim value As Integer

      ' call version of Power depending on power input
      If Not txtPower.Text = "" Then
         value = Power(Convert.ToInt32(txtBase.Text), _
            Convert.ToInt32(txtPower.Text))
      Else
         value = Power(Convert.ToInt32(txtBase.Text))
         txtPower.Text = Convert.ToString(2)
      End If

      lblOutput.Text = Convert.ToString(value)
   End Sub ' btnCalculate_Click

   ' use iteration to calculate power
   Function Power(ByVal base As Integer, _
      Optional ByVal exponent As Integer = 2) As Integer

      Dim total As Integer = 1 ' initialize total 

      For i As Integer = 1 To exponent ' calculate power
         total *= base
      Next

      Return total ' return result 
   End Function ' Power
End Class ' FrmPower

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************