﻿' Fig. 7.23: Factorial.vb
' Calculating factorials using recursion.
Public Class FrmFactorial
   ' calculate factorial
   Private Sub btnCalculate_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnCalculate.Click

      ' convert text in TextBox to Integer
      Dim value As Integer = Convert.ToInt32(txtInput.Text)
      txtDisplay.Text = "" ' reset TextBox

      ' call Factorial to perform calculation
      For i As Integer = 0 To value
         txtDisplay.Text &= i & "! = " & Factorial(i) & vbCrLf
      Next
   End Sub ' btnCalculate_Click

   ' recursively generates factorial of number
   Function Factorial(ByVal number As Integer) As Long
      If number <= 1 Then ' base case
         Return 1
      Else
         Return number * Factorial(number - 1)
      End If
   End Function ' Factorial
End Class ' FrmFactorial

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************