' Fig. 8.3: InitArray.vb
' Initializing arrays.
Module InitArray
   Sub Main()
      ' initializer list specifies the number of elements
      ' and the value of each element                    
      Dim array1 As Integer() = New Integer() _
         {32, 27, 64, 18, 95, 14, 90, 70, 60, 37}

      ' allocate array2 based on length of array1     
      Dim array2 As Integer() = New Integer(array1.GetUpperBound(0)) {}

      ' set values in array2 by a calculation
      For i As Integer = 0 To array2.GetUpperBound(0)
         array2(i) = 2 + 2 * i ' generate 2, 4, 6, ..., 20
      Next

      Console.WriteLine("Index " & vbTab & "Array1" & vbTab & "Array2")

      ' display values for both arrays side by side
      For i As Integer = 0 To array1.GetUpperBound(0)
         Console.WriteLine(i & vbTab & array1(i) & vbTab & array2(i))
      Next
   End Sub ' Main
End Module ' InitArray



' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************

