' Fig. 12.2: DivideByZeroTest.vb
' Exception handlers for FormatException and DivideByZeroException.
Public Class frmDivideByZeroTest
   ' obtain 2 integers from the user 
   ' and divide numerator by denominator
   Private Sub btnDivide_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnDivide.Click

      lblOutput.Text = "" ' clear Label lblOutput

      ' retrieve user input and calculate quotient
      Try
         ' Convert.ToInt32 generates FormatException
         ' if argument is not an integer
         Dim numerator As Integer = Convert.ToInt32(txtNumerator.Text)
         Dim denominator As Integer = Convert.ToInt32(txtDenominator.Text)

         ' division generates DivideByZeroException 
         ' if denominator is 0
         Dim result As Integer = numerator \ denominator

         ' display result in lblOutput
         lblOutput.Text = result.ToString()
      Catch formatExceptionParameter As FormatException
         MessageBox.Show("You must enter two integers.", _
            "Invalid Number Format", MessageBoxButtons.OK, _
            MessageBoxIcon.Error)
      Catch divideByZeroExceptionParameter As DivideByZeroException
         MessageBox.Show(divideByZeroExceptionParameter.Message, _
            "Attempted to Divide by Zero", MessageBoxButtons.OK, _
            MessageBoxIcon.Error)
      End Try
   End Sub ' btnDivide_Click
End Class ' frmDivideByZeroTest

'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************