' Fig. 13.36: FrmInterestCalculator.vb
' Demonstrating the NumericUpDown control.
Public Class FrmInterestCalculator

   Private Sub btnCalculate_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnCalculate.Click
      ' declare variables to store user input
      Dim principal As Decimal ' store principal
      Dim rate As Double ' store interest rate
      Dim year As Integer ' store number of years
      Dim amount As Decimal ' store amount

      ' retrieve user input
      principal = Convert.ToDecimal(txtPrincipal.Text)
      rate = Convert.ToDouble(txtInterest.Text)
      year = Convert.ToInt32(updYear.Value)

      ' set output header
      txtDisplay.Text = "Year" & vbTab & "Amount on Deposit" & vbCrLf

      ' calculate amount after each year and append to output
      For yearCounter As Integer = 1 To year
         amount = principal * Convert.ToDecimal( _
            Math.Pow(1 + rate / 100, yearCounter))
         txtDisplay.Text &= (yearCounter & vbTab & _
            String.Format("{0:C}", amount) & vbCrLf)
      Next
   End Sub ' btnCalculate_Click
End Class ' FrmInterestCalculator

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************
