' Fig. 17.23: FrmDisplayLogo.vb
' Displaying and resizing an image
Public Class FrmDisplayLogo
   Private imageValue As Image
   Private graphicsObject As Graphics

   ' load image and obtain Graphics object
   Private Sub FrmDisplayLogo_Load(ByVal sender As Object, _
      ByVal e As System.EventArgs) Handles Me.Load

      imageValue = Image.FromFile("images\Logo.gif")
      graphicsObject = Me.CreateGraphics()
   End Sub ' FrmDisplayLogo_Load

   ' get new width and height of image, then redraw it 
   Private Sub btnSet_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnSet.Click
      ' get user input
      Dim Width As Integer = Convert.ToInt32(widthTextBox.Text)
      Dim Height As Integer = Convert.ToInt32(heightTextBox.Text)

      ' if dimensions specified are too large 
      ' display problem
      If Width > 375 Or Height > 225 Then
         MessageBox.Show(" Height or Width too large")
         Return
      End If

      ' clear the Form then draw the image
      graphicsObject.Clear(Me.BackColor)
      graphicsObject.DrawImage(imageValue, 5, 5, Width, Height)
   End Sub ' btnSet_Click
End Class ' FrmDisplayLogo


'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************
