' Fig. 24.15: StackCompositionLibrary.vb
' StackComposition declaration with composed List object.
Imports LinkedListLibrary

Public Class StackComposition
   Private stack As List

   ' construct empty stack
   Public Sub New()
      stack = New List("stack")
   End Sub ' New

   ' add object to stack
   Public Sub Push(ByVal dataValue As Object)
      stack.InsertAtFront(dataValue)
   End Sub ' Push

   ' remove object from stack
   Public Function Pop() As Object
      Return stack.RemoveFromFront()
   End Function ' Pop

   ' determine whether stack is empty
   Public Function IsEmpty() As Boolean
      Return stack.IsEmpty()
   End Function ' IsEmpty

   ' output stack contents
   Public Sub Print()
      stack.Print()
   End Sub ' Print
End Class ' StackComposition


'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************